Subject: bug#31612: closed (Re: [bug#31612] [PATCH] gnu: 0ad: Update to 0.0.23-alpha.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 31 May 2018 04:23:02 +0000

Your bug report

#31612: [PATCH] gnu: 0ad: Update to 0.0.23-alpha.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31612: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31612
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#31612] [PATCH] gnu: 0ad: Update to 0.0.23-alpha.
From: Leo Famulari <[email-masked]>
To: Jonathan Brielmaier <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 May 2018 00:22:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, May 27, 2018 at 11:00:52PM +0200, Jonathan Brielmaier wrote:
> Hi,
> 
> find attached a patch to update 0ad (and 0ad-data) to 0.0.23-alpha.
> I did a quick test and I didn't see any regression :)
> 
> ~Jonathan

> From 63fc102c729a5a4411abb722f640e3f719cf35fc Mon Sep 17 00:00:00 2001
> From: Jonathan Brielmaier <[email-masked]>
> Date: Sun, 27 May 2018 22:49:50 +0200
> Subject: [PATCH] gnu: 0ad: Update to 0.0.23-alpha.
> 
> * gnu/packages/games.scm (0ad-data, 0ad): Update to 0.0.23-alpha.
> [source]: Change link to https.
> [inputs]: Add libsodium.

Thanks! Pushed as 706d6190cabead6885d16cb2d89cd89f1a216229

Subject: [PATCH] gnu: 0ad: Update to 0.0.23-alpha.
From: Jonathan Brielmaier <[email-masked]>
To: guix-patches <[email-masked]>
Date: Sun, 27 May 2018 23:00:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

find attached a patch to update 0ad (and 0ad-data) to 0.0.23-alpha.
I did a quick test and I didn't see any regression :)

~Jonathan
>From 63fc102c729a5a4411abb722f640e3f719cf35fc Mon Sep 17 00:00:00 2001
From: Jonathan Brielmaier <[email-masked]>
Date: Sun, 27 May 2018 22:49:50 +0200
Subject: [PATCH] gnu: 0ad: Update to 0.0.23-alpha.

* gnu/packages/games.scm (0ad-data, 0ad): Update to 0.0.23-alpha.
[source]: Change link to https.
[inputs]: Add libsodium.
---
 gnu/packages/games.scm | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index 3e848369b..940892551 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -67,6 +67,7 @@
   #:use-module (gnu packages audio)
   #:use-module (gnu packages avahi)
   #:use-module (gnu packages boost)
+  #:use-module (gnu packages crypto)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages docbook)
   #:use-module (gnu packages fltk)
@@ -4047,16 +4048,16 @@ fight against their plot and save his fellow rabbits from slavery.")
 (define-public 0ad-data
   (package
     (name "0ad-data")
-    (version "0.0.22-alpha")
+    (version "0.0.23-alpha")
     (source
      (origin
        (method url-fetch)
-       (uri (string-append "http://releases.wildfiregames.com/0ad-"
+       (uri (string-append "https://releases.wildfiregames.com/0ad-"
                            version "-unix-data.tar.xz"))
        (file-name (string-append name "-" version ".tar.xz"))
        (sha256
         (base32
-         "0vknk9ay9h2p34r7mym2g066f3s3c5d5vmap0ckcs5b86h5cscjc"))
+         "1b6qcvd8yyyxavgdwpcs7asmln3xgnvjkglz6ggvwb956x37ggzx"))
        (modules '((guix build utils)))
        (snippet
         #~(begin
@@ -4101,19 +4102,18 @@ fight against their plot and save his fellow rabbits from slavery.")
 (define-public 0ad
   (package
     (name "0ad")
-    (version "0.0.22-alpha")
+    (version "0.0.23-alpha")
     (source
      (origin
        (method url-fetch)
-       (uri (string-append "http://releases.wildfiregames.com/0ad-"
+       (uri (string-append "https://releases.wildfiregames.com/0ad-"
                            version "-unix-build.tar.xz"))
        (file-name (string-append name "-" version ".tar.xz"))
        (sha256
         (base32
-         "1cgmr4g5g9wv36v7ylbrvqhsjwgcsdgbqwc8zlqmnayk9zgkdpgx"))
+         "0qz1sg4n5y766qwgi63drrrx6k17kk0rcnn9a4a9crllk2vf78fg"))))
        ;; A snippet here would cause a build failure because of timestamps
        ;; reset.  See https://bugs.gnu.org/26734.
-       ))
     (inputs
      `(("0ad-data" ,0ad-data)
        ("curl" ,curl)
@@ -4121,6 +4121,7 @@ fight against their plot and save his fellow rabbits from slavery.")
        ("gloox" ,gloox)
        ("icu4c" ,icu4c)
        ("libpng" ,libpng)
+       ("libsodium" ,libsodium)
        ("libvorbis" ,libvorbis)
        ("libxcursor" ,libxcursor)
        ("libxml2" ,libxml2)
-- 
2.17.0